Status API
Get the current status and core details of a payment or a payout via the Status API.
| Field | Data Description |
|---|---|
| Request method | POST |
| Payment Status Request URL | https://<url-provided>/api/v3/external/payment/status |
| Payout Status Request URL | https://<url-provided>/api/v3/external/payout/status |
| Data format: | All data is sent and received in the JSON format. |
| Content-Type: | application/json |
| Accept: | application/json |
| Headers: | ‘apikey’: <merchant-apikey-provided-by-admin> (required) |
Both endpoints accept the same request body and return the same response body.
Status API Request Fields
Provide id or orderId.
| Field | Type | Description |
|---|---|---|
| id | String | Transaction identifier. |
| orderId | String | Merchant/order identifier associated with the transaction. |
Status API Response Fields
| Field | Type | Description |
|---|---|---|
| status | String | Current transaction status. |
| id | String | Transaction identifier. |
| orderId | String | Merchant/order identifier. |
| amount | Decimal | Transaction amount. |
| currency | String | Transaction currency, e.g. INR, BDT, PKR. |
| createdAt | Date | Transaction creation timestamp. |
| paidAt | Date | Timestamp when the transaction was paid. May be null when not applicable or not yet paid. |
| fee | Decimal | Transaction fee. |
| method | String | Payment/payout method. |
Payment Status Request Sample
curl -X POST "https://{url-provided}/api/v3/external/payment/status" \
-H "apikey: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "txn_123456",
"orderId": "order_987654"
}'Payment Status Response Sample
{
"status": "SUCCESS",
"id": "txn_123456",
"orderId": "order_987654",
"amount": 125.50,
"currency": "INR",
"createdAt": "2026-09-04T15:30:00Z",
"paidAt": "2026-09-04T15:31:12Z",
"fee": 2.50,
"method": "UPI"
}Payout Status Request Sample
curl -X POST "https://{url-provided}/api/v3/external/payout/status" \
-H "apikey: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "payout_123456",
"orderId": "order_987654"
}'Payout Status Response Sample
{
"status": "SUCCESS",
"id": "payout_123456",
"orderId": "order_987654",
"amount": 500.00,
"currency": "INR",
"createdAt": "2026-09-04T16:10:00Z",
"paidAt": "2026-09-04T16:12:45Z",
"fee": 4.00,
"method": "BANK_TRANSFER"
}